<template>
    <!-- 弹出框表单 -->
    <el-drawer
            title="假期使用记录"
            :visible.sync="open"
            :direction="direction"
            size="50%">
        <div class="mt20">
            <span>当前假期余额：20天</span>
            <el-tag type="success" size="mini">修改余额</el-tag>
        </div>
        <div class="mt20">
              <el-steps direction="vertical" :active="1">
                    <el-step title="步骤 1"></el-step>
                    <el-step title="步骤 2"></el-step>
                    <el-step title="步骤 3" description="这是一段很长很长很长的描述性文字"></el-step>
              </el-steps>
        </div>
        <div class="tips mt20">
            当前病假规则：每年1月1日自动发放 30天
        </div>
        <!-- <el-form ref="form" :model="form" :rules="rules" label-width="120px">
            <el-row>
                <Field label="员工id" prop="staffId" v-model="form.staffId" placeholder="请输入员工id"/>
                <Field label="员工姓名" prop="staffName" v-model="form.staffName" type="textarea" placeholder="请输入员工姓名"/>
                <Field label="部门id" prop="deptId" v-model="form.deptId" placeholder="请输入部门id"/>
                <Field label="部门名称" prop="deptName" v-model="form.deptName" type="textarea" placeholder="请输入部门名称"/>
                <Field label="入职时间" prop="entryTime" v-model="form.entryTime" type="date" />
                <Field label="事假" prop="personalLeaveDays" v-model="form.personalLeaveDays" placeholder="请输入事假"/>
                <Field label="调休" prop="compensatedLeaveDays" v-model="form.compensatedLeaveDays" placeholder="请输入调休"/>
                <Field label="病假" prop="sickLeaveDays" v-model="form.sickLeaveDays" placeholder="请输入病假"/>
                <Field label="年假" prop="annualLeaveDays" v-model="form.annualLeaveDays" placeholder="请输入年假"/>
                <Field label="婚假" prop="marriageLeaveDays" v-model="form.marriageLeaveDays" placeholder="请输入婚假"/>
                <Field label="备注" prop="remark" v-model="form.remark" type="textarea" placeholder="请输入备注"/>
            </el-row>
            <form-buttons @submit='submitForm' noCancelBtn />
        </el-form> -->
    </el-drawer>
</template>
<script>
import form from "@/assets/mixins/formdialog";
export default {
  name: "AttendanceVacationBalanceDetail",
  mixins: [form],
  components: {},
  created() {
    this.changePath("attendance/vacation/balance")
  },
  data() {
    return {
      // 遮罩层
      loading: true,
      // 弹出层标题
      title: "员工假期余额信息",
      // 是否显示弹出层
      open: false,
      direction:"rtl",
      toString:[
      ],
      toDate:[
        "entryTime",
      ],
      // 表单校验
      rules: {
      }
    };
  },

  methods: {
    /** 编辑 */
    edit(row) {
      this.reset()
      this.query = { id: row.id };
      this.urls.currUrl ="attendance/vacation/balance/edit";
      this.getData();
      this.pageInfo.type="edit"
      this.title = "修改员工假期余额信息";
    },
    /** 新增 */
    add(row) {
      this.reset()
      this.urls.currUrl = "attendance/vacation/balance/add";
      this.getData();
      this.pageInfo.type="add"
      this.title = "新增员工假期余额信息";
    },
    /** 查看*/
    view(row) {
      this.reset()
      this.query = { id: row.id };
      this.urls.currUrl ="attendance/vacation/balance/view";
      this.getData();
      this.pageInfo.type="view"
      this.title = "员工假期余额信息详细";
    },
    /**取消按钮 */
    cancel() {
      this.open = false;
    },
    /**获取数据后弹框 */
    afterRender(data) {
      this.open = true;
    },

    afterSubmit(data) {
      this.open = false;
      this.$emit("ok");
    },

    // 表单重置
    reset() {
      this.form = {
        staffId : null,
        staffName : "",
        deptId : null,
        deptName : "",
        entryTime : null,
        personalLeaveDays : 0,
        compensatedLeaveDays : 0,
        sickLeaveDays : 0,
        annualLeaveDays : 0,
        maternityLeaveDays : 0,
        paternityLeaveDays : 0,
        marriageLeaveDays : 0,
        menstrualLeaveDays : 0,
        breastfeedingLeaveDays : 0,
        bereavementLeaveDays : 0,
        remark : "",
      };
      this.resetForm("form");
    },
    resetForm(refName) {
      if (this.$refs[refName]) {
        this.$refs[refName].resetFields();
      }
    },
  },
};
</script>
<style scoped lang="less">
.tips{
    font-size: 14px;
    color: #999;
}
</style>
